Summary: A utility for creating TTY dialog boxes.
Name: dialog
Version: 0.9a
%define SubVersion 20010527
Release: 5.1.AS21
Copyright: GPL
Group: Applications/System
URL: http://www.clark.net/pub/dickey/dialog/
Source: http://www.clark.net/pub/dickey/dialog-0.9a-%{SubVersion}.tar.gz
BuildRoot: /var/tmp/dialog-root
BuildPreReq: ncurses-devel
Patch: dialog-0.9a-20010527-menubox.patch

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q -n dialog-0.9a-%{SubVersion}
%patch -p1 -b .menu

%build
%configure --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
fgrep -l -r perl samples|xargs rm -f

%makeinstall

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING dialog.lsm README samples
%{_prefix}/bin/dialog
%{_mandir}/man1/dialog.*

%changelog
* Wed Dec 08 2004 Harald Hoyer <harald@redhat.de>
- fixed menubox segfault of bug rh#104236

* Mon Jun 18 2001 Harald Hoyer <harald@redhat.de>
- update to 20010527
- added ncurses-devel dependency (#44733)
- removed perl dependency

* Tue Jan 09 2001 Harald Hoyer <harald@redhat.com>
- update to 20001217

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix one of the examples (#14073)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- fix loop patch for reading from pipe

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
